Bug 1294564 - Video Stream is default to off
Video Stream is default to off
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: spice (Show other bugs)
7.1
All Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Default Assignee for SPICE Bugs
SPICE QE bug list
:
Depends On: 1030024
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-28 22:10 EST by lcy8686
Modified: 2018-03-30 17:40 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lcy8686 2015-12-28 22:10:44 EST
Description of problem:
Video Stream on Red Hat Enterprise Linux 6.5 is default to FILTER, So while play video on VM, MJPEG is used to ecoding video. Now We update to Red Hat Enterprise Linux 7.1, we found that  video stream is off by default. The reason is that qemu add a new function ,which would be called at init of qemu-kvm,to call spice-server's interface. The function in qemu is:
spice_server_set_streaming_video(spice_server, streaming_video);
streaming_video is default to off. But In spice-server, this value is Default to filter. 

Is there any reason for this change? Why does it changed from filter to off? 
I have been working on MJPEG in spice-server for a long time,I do found some problem of it. Would it be reason for this chanaged?

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux 6.5
spice-server-0.12.4-9
qemu-kvm-0.12

Red Hat Enterprise Linux 7.1
spice-server-0.12.4-15
qemu-kvm-rhev-2.1.2-23.el7_1.3
How reproducible:
100%


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Ademar Reis 2016-01-05 06:54:37 EST
Thanks for taking the time to enter a bug report with us. We use reports like yours to keep improving the quality of our products and releases. That said, we're not able to guarantee the timeliness or suitability of a resolution for issues entered here because this is not a mechanism for requesting support.

If this issue is critical or in any way time sensitive, please raise a ticket through your regular Red Hat support channels to make certain it receives the proper attention and prioritization that will result in a timely resolution.

For information on how to contact the Red Hat production support team, please visit: https://www.redhat.com/support/process/production/#howto
Comment 3 Gerd Hoffmann 2016-01-05 07:33:40 EST
> Is there any reason for this change? Why does it changed from filter to off? 
> I have been working on MJPEG in spice-server for a long time,I do found some
> problem of it. Would it be reason for this chanaged?

The video detection logic has problems with gnome 3.  It misdetects the fullscreen animations as video.  So the desktop is sent as lossy mjpeg,
resulting in very bad display quality.  This is the reason it got turned
off by default.  I'm open to flipping the default back to "filter" when
the video detection heuristic in spice server is fixed to work reasonable
well.

Reassigning to spice for comments and/or investigation.
Comment 4 lcy8686 2016-01-05 20:18:32 EST
(In reply to Gerd Hoffmann from comment #3)
> > Is there any reason for this change? Why does it changed from filter to off? 
> > I have been working on MJPEG in spice-server for a long time,I do found some
> > problem of it. Would it be reason for this chanaged?
> 
> The video detection logic has problems with gnome 3.  It misdetects the
> fullscreen animations as video.  So the desktop is sent as lossy mjpeg,
> resulting in very bad display quality.  This is the reason it got turned
> off by default.  I'm open to flipping the default back to "filter" when
> the video detection heuristic in spice server is fixed to work reasonable
> well.
> 
> Reassigning to spice for comments and/or investigation.

Thanks for your reply. Is this a new bug in RedHat7.1, or it happens in Redhat6.5?
Or it is a bug of spice-server-0.12.4?
Comment 5 Christophe Fergeau 2016-08-01 12:31:05 EDT
(In reply to Gerd Hoffmann from comment #3)
> > Is there any reason for this change? Why does it changed from filter to off? 
> > I have been working on MJPEG in spice-server for a long time,I do found some
> > problem of it. Would it be reason for this chanaged?
> 
> The video detection logic has problems with gnome 3.  It misdetects the
> fullscreen animations as video.  So the desktop is sent as lossy mjpeg,
> resulting in very bad display quality.  This is the reason it got turned
> off by default.  I'm open to flipping the default back to "filter" when
> the video detection heuristic in spice server is fixed to work reasonable
> well.
> 
> Reassigning to spice for comments and/or investigation.

GNOME is disabling most animations these days, and I thought there had also been some hack somewhere in the graphical stack to try to limit these issues? Or is that still a problem (I'd have to test myself :)
Comment 6 Jonathon Jongsma 2017-04-13 16:38:09 EDT
There is also the issue that mesa split video updates into 64k strips. This resulted in a single video being detected as a series of video strips stacked on top of eachother. Frediano had a patch to work around this in spice, but I think the current thinking is that it should be solved in mesa. See bug 1030024.

In any case, this isn't going to make it into 7.4.

Note You need to log in before you can comment on or make changes to this bug.